### Method

# EDataServerUI CredentialsPrompter get_dialog_parent_full

since: 3.42

#### Declaration [src]

    GtkWindow*
    e_credentials_prompter_get_dialog_parent_full (
      ECredentialsPrompter* prompter,
      ESource* auth_source
    )

#### Description [src]

Returns a `GtkWindow`, which should be used as a dialog parent for the `auth_source`.

This is determined by an ECredentialsPrompter::get-dialog-parent-full signal emission and an ECredentialsPrompter::get-dialog-parent when the first doesn’t return anything. If there is no callback registered or the current callbacks don’t have any suitable window, then there’s chosen the last active window from the default GApplication, if any available.

Available since: 3.42

#### Parameters

`auth_source`

  Type: `ESource`

  An `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GtkWindow`

A `GtkWindow`, to be used as a dialog parent, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.